﻿package src 
{
	import caurina.transitions.Equations;
	import flash.display.MovieClip;
	import flash.events.TimerEvent;
	import flash.utils.Timer;
    import flash.net.URLRequest;
	import caurina.transitions.Tweener;
	import fl.motion.Color;
	
	/**
	 * ...
	 * @author Andreas Jeansson, SVT
	 */
	public class LogoAnimation extends MovieClip
	{
		public var Text1:MovieClip;
		public var Text2:MovieClip;
		public var LogoIcon:MovieClip;
		
		private var _positionYText1:Number=4.2;
		private var _positionYText2:Number=4.2;
		private var _positionYIcon:Number=3.6;
		
		private var _positionXText1Start:Number=-69.9;
		private var _positionXText1End:Number=200;
		private var _positionXText2Start:Number=64.3;
		private var _positionXText2End:Number=150;
		private var _rotationIcon:Number;
		
		private var _clockIsHidden:Boolean = true;
		
		public function LogoAnimation() 
		{
			super();
			setInit();
		}
		
		private function createTint(value:uint):Color
		{
			var c:Color=new Color();
			c.setTint(value,1);
//			c.brightness=-0.3;
			return c;
		}

		private function setInit():void
		{
			Text1.alpha = 0;
			Text2.alpha = 0;
			LogoIcon.alpha = 0;
		}

		public function logoShow():void
		{
			_clockIsHidden = false;
			Tweener.addTween(Text1, {alpha:100, delay:0, time:1});
			Tweener.addTween(Text2, {alpha:100, delay:0, time:1});
			Tweener.addTween(LogoIcon, {alpha:100, delay:0, time:1});
		}
		
		public function logoHide():void
		{
			_clockIsHidden = true;
			Tweener.addTween(Text1, {alpha:0, delay:0, time:1});
			Tweener.addTween(Text2, {alpha:0, delay:0, time:1});
			Tweener.addTween(LogoIcon, {alpha:0, delay:0, time:1});
		}
		
		public function logoAnimOut():void
		{
			Tweener.addTween(Text1, {x:_positionXText1End, delay:1, time:1});
			Tweener.addTween(Text2, {x:_positionXText2End, delay:1, time:1});
			Tweener.addTween(LogoIcon, {rotation:720, delay:1, time:1});
		}
		
		public function logoAnimIn():void
		{
			Tweener.addTween(Text1, {x:_positionXText1Start, delay:1, time:1});
			Tweener.addTween(Text2, {x:_positionXText2Start, delay:1, time:1});
			Tweener.addTween(LogoIcon, {rotation:-720, delay:1, time:1});
		}
		
	}
}